package models

func NewDiagnosticSignal(position int, name string, alert float64) DiagnosticSignal {
	return DiagnosticSignal{
		AlertValue: alert,
		CANSignal: CANSignal{
			Name:     name,
			Position: position,
		},
	}
}

type DiagnosticSignal struct {
	AlertValue float64
	CANSignal
}
